import 'package:injectable/injectable.dart';
import 'package:location/data/api/atmob_api.dart';

import '../../base/app_base_request.dart';
import '../../utils/http_handler.dart';
import '../api/response/common_point_response.dart';

@lazySingleton
class RangePointRepository {
  final AtmobApi atmobApi;

  RangePointRepository(this.atmobApi);

  Future<CommonPointResponse> commonPointList() {
    return atmobApi
        .commonPointList(AppBaseRequest())
        .then(HttpHandler.handle(true));
  }
}
